% Approximation of values (x(i),y(i)), pro i=1,2,...,N
%    by a function f(x)=a(1)*x^3+a(2)*x
% Definition of given values
    x=[0 0.2 0.5 0.7 0.8 1 1.2 1.6 1.9 2]';
    y=[0 0.2 0.6 1.0 1.3 2 2.9 5.7 8.8 10]';
% Definition of the matrix of normal equations and its solution
    A=[x.^3 x]; a=A\y
% Plot of given and approximation values
    xx=0:0.05:2; f=a(1)*xx.^3+a(2)*xx; plot(x,y,'or',xx,f); grid on
      xlabel('x'); ylabel('y'); title('APPROXIMATION');